﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace CSSamples.Samples
{
    public partial class WebUserControl1 : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                MainMap.MapUnit = GeographyUnit.Meter;
                MainMap.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#99B3CC"));
                MainMap.MapTools.PanZoomBar.Enabled = true;
                MainMap.MapTools.Logo.Enabled = true;
                LayerOverlay worldOverlay = new LayerOverlay();
                MainMap.CustomOverlays.Add(worldOverlay);

                SimpleMarkerOverlay markerOverlay = new SimpleMarkerOverlay("MarkerOverlay");
                markerOverlay.MarkerDragged += new EventHandler<MarkerDraggedEventArgs>(markerOverlay_MarkerDragged);
                markerOverlay.DragMode = MarkerDragMode.Drag;
                markerOverlay.Markers.Add(new Marker(-8922952.93266, 2984101.58384, new WebImage(21, 25, -10.5f, -25f)));
                markerOverlay.Markers.Add(new Marker(-10830821.09801, 4539747.98328, new WebImage(21, 25, -10.5f, -25f)));
                markerOverlay.Markers.Add(new Marker(-12454955.13517, 4980025.26614, new WebImage(21, 25, -10.5f, -25f)));
                markerOverlay.Markers.Add(new Marker(-10772117.52067, 3864656.14956, new WebImage(21, 25, -10.5f, -25f)));
                markerOverlay.Markers.Add(new Marker(-13164290.75755, 4035875.09290, new WebImage(21, 25, -10.5f, -25f)));
                markerOverlay.Markers.Add(new Marker(-9754587.80028, 5156136.17929, new WebImage(21, 25, -10.5f, -25f)));

                MainMap.CustomOverlays.Add(markerOverlay);
            }     
        }

        void markerOverlay_MarkerDragged(object sender, MarkerDraggedEventArgs e)
        {
            throw new NotImplementedException();
        }
    }
}